Bug 915128 - stable harness API
Summary: stable harness API
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.12
Assignee: Dan Callaghan
QA Contact: Raymond Mancy
URL:
Whiteboard: SimpleHarness
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-25 02:08 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:57:09 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2013-02-25 02:08:57 UTC
Beaker should have a stable, documented API for the harness to interact with it. Proposal is here:

http://beaker-project.org/dev/proposals/harness-api.html

Some discussion has already taken place on the beaker-devel mailing list:

http://thread.gmane.org/gmane.comp.systems.beaker.devel/405
http://thread.gmane.org/gmane.comp.systems.beaker.devel/451

Comment 1 Dan Callaghan 2013-02-25 02:13:58 UTC
I previously wrote a patch series to implement most (but not all) of the currently proposed API. Estimate of 10 is to allow for updating and polishing.

Comment 8 Dan Callaghan 2013-04-11 04:57:09 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.